Bug 75639 - RedHat 8.0 fail to install on megaraid device
RedHat 8.0 fail to install on megaraid device
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-10-10 11:16 EDT by Per Steinar Iversen
Modified: 2008-08-01 12:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:40:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Per Steinar Iversen 2002-10-10 11:16:46 EDT
Description of Problem:

RedHat 8.0 fails to install on a Dell PowerEdge 2300 with a PERC 2/SC RAID
controller and 3x9Gb disks in a RAID5 configuration. This hardware installs
and works well under RedHat 7.3

Version-Release number of selected component (if applicable):

How Reproducible: Always

Steps to Reproduce:
1. Install RH 8.0.
2. Install hangs, finds no disks. There is an insmod error for the megaraid module.

Actual Results:

Failure to install

Expected Results:

Should have installed as the same hardware installs OK under RH 7.3

Additional Information:

This is from the RedHat 7.3 dmesg output under 2.4.18-10 :

megaraid: v1.18a (Release Date: Mon Mar 11 11:38:38 EST 2002)
PCI: Found IRQ 10 for device 02:0a.1
megaraid: found 0x8086:0x1960:idx 0:bus 2:slot 10:func 1
scsi2 : Found a MegaRAID controller at 0xd085b000, IRQ: 10
megaraid: [ED4D:1.25] detected 1 logical drives
megaraid: channel[1] is raid.
scsi2 : LSI Logic MegaRAID ED4D 254 commands 15 targs 4 chans 7 luns
blk: queue cfac2c18, I/O limit 4095Mb (mask 0xffffffff)
scsi2: scanning virtual channel 0 for logical drives.
  Vendor: MegaRAID  Model: LD0 RAID5 17136R  Rev: ED4D
  Type:   Direct-Access                      ANSI SCSI revision: 02
blk: queue cfaa8218, I/O limit 4095Mb (mask 0xffffffff)
scsi2: scanning physical channel 0 for devices.
  Vendor: DELL      Model: 1x6 U2W SCSI BP   Rev: 5.13
  Type:   Processor                          ANSI SCSI revision: 02
blk: queue cf8b7818, I/O limit 4095Mb (mask 0xffffffff)
Attached scsi disk sda at scsi2, channel 0, id 0, lun 0
SCSI device sda: 35094528 512-byte hdwr sectors (17968 MB)

And /proc/megaraid/0/config from the same kernel:

Controller Type: 438/466/467/471/493
Base = d085a000, Irq = 10, Logical Drives = 1, Channels = 1
Version =ED4D:1.25, DRAM = 16Mb
Controller Queue Depth = 254, Driver Queue Depth = 126
Comment 1 Jeremy Katz 2002-10-10 14:10:34 EDT
What error is given on tty4 when the megaraid module tries to load?
Comment 2 Per Steinar Iversen 2002-10-11 03:52:27 EDT
On tty4 there is this message, typed in by hand here:

<5>megaraid: v1.18d (Release Date: Wed Aug  7 18:51:51 EDT 2002)
<4>megaraid: no BIOS enabled
Comment 3 Arjan van de Ven 2002-10-11 11:58:17 EDT
can you post both "lspci" and "lspci -n" output so that I can see which megaraid
it is ?
Comment 4 Per Steinar Iversen 2002-10-12 09:38:46 EDT
These are from RedHat 7.3, but the listings seems to be identical to those
produced by the RedHat 8.0 installer:


00:00.0 Host bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX Host bridge (rev 03)
00:01.0 PCI bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX AGP bridge (rev 03)
00:02.0 PCI bridge: Digital Equipment Corporation DECchip 21152 (rev 03)
00:07.0 ISA bridge: Intel Corp. 82371AB/EB/MB PIIX4 ISA (rev 02)
00:07.1 IDE interface: Intel Corp. 82371AB/EB/MB PIIX4 IDE (rev 01)
00:07.2 USB Controller: Intel Corp. 82371AB/EB/MB PIIX4 USB (rev 01)
00:07.3 Bridge: Intel Corp. 82371AB/EB/MB PIIX4 ACPI (rev 02)
00:08.0 Ethernet controller: Intel Corp. 82557/8/9 [Ethernet Pro 100] (rev 05)
01:00.0 VGA compatible controller: ATI Technologies Inc 3D Rage Pro AGP 1X (rev 5c)
02:04.0 SCSI storage controller: Adaptec AHA-2940U2/U2W / 7890/7891
02:06.0 SCSI storage controller: Adaptec AIC-7860 (rev 03)
02:0a.0 PCI bridge: Intel Corp. 80960RP [i960 RP Microprocessor/Bridge] (rev 03)
02:0a.1 I2O: Intel Corp. 80960RP [i960RP Microprocessor] (rev 03)

lspci -n :

00:00.0 Class 0600: 8086:7190 (rev 03)
00:01.0 Class 0604: 8086:7191 (rev 03)
00:02.0 Class 0604: 1011:0024 (rev 03)
00:07.0 Class 0601: 8086:7110 (rev 02)
00:07.1 Class 0101: 8086:7111 (rev 01)
00:07.2 Class 0c03: 8086:7112 (rev 01)
00:07.3 Class 0680: 8086:7113 (rev 02)
00:08.0 Class 0200: 8086:1229 (rev 05)
01:00.0 Class 0300: 1002:4744 (rev 5c)
02:04.0 Class 0100: 9005:001f
02:06.0 Class 0100: 9004:6078 (rev 03)
02:0a.0 Class 0604: 8086:0960 (rev 03)
02:0a.1 Class 0e00: 8086:1960 (rev 03)
Comment 5 Arjan van de Ven 2002-10-12 10:13:21 EDT
could you check if your megaraid is in "I2O mode" ?
Comment 6 Per Steinar Iversen 2002-10-12 10:58:52 EDT
It is not obvious how to check this, no mention of I2O in any BIOS configuration
meny. I found this configuration description through Google:


However my adapter lacks the "Emulation" entry, there is nothing to change.
Comment 7 Per Steinar Iversen 2002-10-23 08:53:24 EDT
The machine was once more available for experiments today, so we upgraded to the
latest BIOS version for the RAID controller, downloaded from Dell. After this
upgrade anaconda from RH 8.0 can see the RAID volumes, it still works well with
RedHat 7.3 also.
Comment 8 Bugzilla owner 2004-09-30 11:40:02 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.